import { type DomainEvent } from '@modules/shared';

export class ListingRejectedEvent implements DomainEvent {
  readonly eventName = 'listing.rejected_by_admin';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly adminId: string,
    public readonly reason: string,
  ) {}
}
